## org.apache.commons.collections
Interface BoundedMap

All Superinterfaces:
  Map

All Known Implementing Classes:
  FixedSizeMap, FixedSizeSortedMap, LRUMap, SingletonMap

public interface BoundedMap
extends Map

Defines a map that is bounded in size.

The size of the map can vary, but it can never exceed a preset maximum number of elements. This interface allows the querying of details associated with the maximum number of elements.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 01:15:42 $
Author:
  Stephen Colebourne

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Method Summary
`boolean` `isFull()` Returns true if this map is full and no new elements can be added.
`int` `maxSize()` Gets the maximum size of the map (the bound).

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### isFull

    public boolean isFull()

  Returns true if this map is full and no new elements can be added.

  Returns:
    `true` if the map is full

### maxSize

    public int maxSize()

  Gets the maximum size of the map (the bound).

  Returns:
    the maximum number of elements the map can hold

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.